@echo off
setlocal

set _SABIN=%SQLANY10%\win32
set _DBN=SchemaUpgrade
set _DSN=%_DBN%

if "%1"=="ultralite" goto ultralite

:sqlanywhere

@echo.
@echo ==== Creating the consolidated database...
if exist %_DBN%.db "%_SABIN%\dberase" -q -y %_DBN%.db
"%_SABIN%\dbinit" -q %_DBN%.db

@echo.
@echo ==== Defining the %_DSN% ODBC data source...
"%_SABIN%\dbdsn" -q -w %_DSN% -y -c "dbf=%_DBN%.db;eng=%_DBN%"
if errorlevel 1 goto RunTimeError

@echo.
@echo ==== Creating the "ml" user ID...
"%_SABIN%\dbisql" -q -c "uid=dba;pwd=sql;dsn=%_DSN%" read grant.sql
if errorlevel 1 goto RunTimeError

@echo.
@echo ==== Adding the MobiLink system tables...
"%_SABIN%\dbisql" -q -c "uid=ml;pwd=sync;dsn=%_DSN%" read "%_SABIN%\\..\\MobiLink\\Setup\\syncsa.sql"
if errorlevel 1 goto RunTimeError

@echo.
@echo ==== Loading the schema and data...
"%_SABIN%\dbisql" -q -c "uid=ml;pwd=sync;dsn=%_DSN%" read build_consol.sql
if errorlevel 1 goto RunTimeError

@echo.
@echo ==== Adding the initial schema definition...
"%_SABIN%\dbisql" -q -c "uid=ml;pwd=sync;dsn=%_DSN%" read addschema1.sql
if errorlevel 1 goto RunTimeError

@echo.
@echo ==== Adding the synchronization user..
"%_SABIN%\mluser" -q -c "uid=ml;pwd=sync;dsn=%_DSN%" -u user1 -p pwd_user1
REM "%_SABIN%\mluser" -q -c "uid=ml;pwd=sync;dsn=%_DSN%" -u user2 -p pwd_user2
if errorlevel 1 goto RunTimeError

if "%1"=="sqlanywhere" goto done

REM ==========================================================================
:ultralite

@echo.
@echo ==== Creating UltraLite databases...
"%SQLANY10%\win32\ulload" -q -y -c dbf=%_DBN%.udb SchemaUpgrade.xml
REM "%SQLANY10%\win32\ulload" -q -y -c dbf=user2\%_DBN%.udb SchemaUpgrade.xml
if errorlevel 1 goto RunTimeError

REM copy %_DBN%.udb ..\SchemaUpgrade\bin\debug

goto done

:RunTimeError
echo Error: A step in the sample script failed with an error.

:done
endlocal
